#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 pcre-heavy
version:              1.0.0.3
visibility:           public
id:                   pcre-heavy-1.0.0.3-24l3udXTomyJdhIZvHID1i
key:                  pcre-heavy-1.0.0.3-24l3udXTomyJdhIZvHID1i
license:              LicenseRef-PublicDomain
copyright:            2015-2022 Val Packett <val@packett.cool>
maintainer:           val@packett.cool
author:               Val Packett
homepage:             https://codeberg.org/valpackett/pcre-heavy
synopsis:
    A regexp (regex) library on top of pcre-light you can actually use.

description:
    A regular expressions library that does not suck.
    Based on <https://hackage.haskell.org/package/pcre-light pcre-light>.
    Takes and returns <https://hackage.haskell.org/package/stringable Stringables> everywhere.
    Includes a QuasiQuoter for regexps that does compile time checking.
    SEARCHES FOR MULTIPLE MATCHES! DOES REPLACEMENT!

category:             Web
abi:                  225d3fd2f163779692a2be3db9220f8e
exposed:              True
exposed-modules:      Text.Regex.PCRE.Heavy
import-dirs:          /usr/lib/ghc-9.0.2/site-local/pcre-heavy-1.0.0.3
library-dirs:         /usr/lib/ghc-9.0.2/site-local/pcre-heavy-1.0.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-pcre-heavy
hs-libraries:         HSpcre-heavy-1.0.0.3-24l3udXTomyJdhIZvHID1i
depends:
    base-4.15.1.0 base-compat-0.12.2-l1EqrM7Qwu6Pq9d4drKFu
    bytestring-0.10.12.1 pcre-light-0.4.1.2-7swGtad6UNqC9eSDiG5XM2
    string-conversions-0.4.0.1-2zAdIObd3Kj7AhFrcbo4jm
    template-haskell-2.17.0.0

haddock-interfaces:   /usr/share/doc/haskell-pcre-heavy/html/pcre-heavy.haddock
haddock-html:         /usr/share/doc/haskell-pcre-heavy/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

